#!/bin/bash
#---
# Excerpted from "Scalable Cloud Ops with Fugue",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit http://www.pragmaticprogrammer.com/titles/fugue for more book information.
#---
SCRIPT=$1

set -a
. <(echo "$(curl http://169.254.169.254/latest/user-data 2>/dev/null)")

if [ ! -z "$RDS_PASSWORD_KEY_POINTER" ]; then
    RDS_PASSWORD_KEY=$(vars get $RDS_PASSWORD_KEY_POINTER)
fi

if [ ! -z "$RDS_PASSWORD_KEY" ]; then
    RDS_PASSWORD=$(vars get $RDS_PASSWORD_KEY)
fi

if [ -z "$RDS_PASSWORD" ]; then
    echo "Error: Could not resolve RDS_PASSWORD"
    exit 1
fi

node $SCRIPT
